org.apache.http.conn.routing

## Interface RouteInfo

- 所有已知实现类：
    HttpRoute ， RouteTracker

      public interface RouteInfo

  路由信息的只读接口。
  从以下版本开始：
    4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RouteInfo.LayerType` 路由的分层类型。
    `static class` | `RouteInfo.TunnelType` 路由的隧道类型。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHopCount()` 获取此路由中的跳数。
    `HttpHost` | `getHopTarget(int hop)` 获得这条路线中的跳跃目标。
    `RouteInfo.LayerType` | `getLayerType()` 获取此路由的分层类型。
    `InetAddress` | `getLocalAddress()` 获取要连接的本地地址。
    `HttpHost` | `getProxyHost()` 获取第一个代理主机。
    `HttpHost` | `getTargetHost()` 获取目标主机。
    `RouteInfo.TunnelType` | `getTunnelType()` 获取此路由的隧道类型。
    `boolean` | `isLayered()` 检查此路由是否包含分层协议。
    `boolean` | `isSecure()` 检查这条路线是否安全。
    `boolean` | `isTunnelled()` 检查此路由是否通过代理隧道通过。

- - ### 方法详细信息

    - #### getTargetHost

          HttpHost getTargetHost()

      获取目标主机。
      结果
        目标主机

    - #### getLocalAddress

          InetAddress getLocalAddress()

      获取要连接的本地地址。
      结果
        本地地址，或 `null`

    - #### getHopCount

          int getHopCount()

      获取此路由中的跳数。 直达路线有一跳。 通过代理的路由有两个跳。 通过n个代理链的路线具有n + 1跳。
      结果
        这条路线中的跳数

    - #### getHopTarget

          HttpHost getHopTarget(int hop)

      获得这条路线中的跳跃目标。 最后一跳的目标是`target host` ，以前的啤酒花的目标是链中的各自的代理。 对于通过一个代理的路由，跳转目标0是代理，跳1的目标是目标主机。
      参数
        `hop` - 获取目标的跳数索引，第一个为0
      结果
        给定跳的目标
      异常
        `IllegalArgumentException` - 如果参数为负数或不小于 `getHopCount()`

    - #### getProxyHost

          HttpHost getProxyHost()

      获取第一个代理主机。
      结果
        代理链中的第一个代理，或 `null`如果此路由是直接的

    - #### getTunnelType

          RouteInfo.TunnelType getTunnelType()

      获取此路由的隧道类型。 如果有代理链，则只考虑端到端隧道。
      结果
        隧道式

    - #### isTunnelled

          boolean isTunnelled()

      检查此路由是否通过代理隧道通过。 如果有代理链，则只考虑端到端隧道。
      结果
        `true`如果通过至少一个代理端到端隧道， `false`否则

    - #### getLayerType

          RouteInfo.LayerType getLayerType()

      获取此路由的分层类型。 在代理存在的情况下，仅考虑端到端隧道的分层。
      结果
        分层类型

    - #### isLayered

          boolean isLayered()

      检查此路由是否包含分层协议。 在代理存在的情况下，仅考虑端到端隧道的分层。
      结果
        `true`如果分层， `false`否则

    - #### isSecure

          boolean isSecure()

      检查这条路线是否安全。
      结果
        `true` if secure, `false` otherwise

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585